/*
 * This file is part of Kalk
 *
 * Copyright (C) 2020 Han Young <hanyoung@protonmail.com>
 *
 * $BEGIN_LICENSE:GPL3+$
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $END_LICENSE$
 */
#include "driver.hh"
#include "parser.hh"
#include <QDebug>
driver::driver()
    : trace_parsing(false)
    , trace_scanning(false)
{
}
int driver::parse(const std::string expr)
{
    syntaxError_ = false;
    scan_begin(expr);
    yy::parser parse(*this);
    parse.set_debug_level(trace_parsing);
    int res = parse();
    return res;
}
